Skip to main content
PUT
Update a Publisher Source

Authorizations

Authorization
string
header
required

API key en el header Authorization: Basic TU_API_KEY. La key va tal cual, sin codificar en base64. Las credenciales se entregan al comenzar la integración.

Path Parameters

publisher_id
integer
required

Identifier of the Publisher.

source_id
integer
required

Identifier of the Publisher Source.

Body

application/json
name
string

The name of the Publisher Source

Maximum string length: 255
Example:

"Example Source"

name_slug
string

A unique, human readable identifier for the Publisher Source. Must contain at least one letter, and can only contain lowercase letters, numbers, and dashes. If it is not provided, it will be auto generated from the name. Special characters will be removed, spaces will be replaced by dashes, and uppercase letters will be converted to lowercase letters.

Maximum string length: 255
Example:

"example-source"

Response

default - application/json

successful operation

name
string

The name of the Publisher Source

Maximum string length: 255
Example:

"Example Source"

name_slug
string

A unique, human readable identifier for the Publisher Source

Maximum string length: 255
Example:

"example-source"

object
string

A string denoting the current resource being requested or affected.

Example:

"product_db_publisher_source"

self
string

The relative URL of the current resource being requested or affected.

Example:

"/v2/publishers/123456/product-db/sources/10000"

id
integer

The current resource identifier (ID).

Example:

10000

publisher
integer

The publisher ID that owns this source.

Example:

123456

created_at
string<date-time>

The timestamp when this resource was created.

Example:

"2023-01-01T12:00:00-00:00"

created_by
integer | null

The user ID that created this resource.

Example:

null

updated_at
string<date-time> | null

The timestamp when this resource was last updated.

Example:

null

updated_by
integer | null

The user ID that last updated this resource.

Example:

null